## org.apache.poi.ss.formula.eval
Class MissingArgEval

    java.lang.Object
      org.apache.poi.ss.formula.eval.MissingArgEval

All Implemented Interfaces:
  ValueEval

    public final class MissingArgEval

extends java.lang.Object
implements ValueEval

Represents the (intermediate) evaluated result of a missing function argument. In most cases this can be translated into `BlankEval` but there are some notable exceptions. Functions COUNT and COUNTA do count their missing args. Note - the differences between `MissingArgEval` and `BlankEval` have not been investigated fully, so the POI evaluator may need to be updated to account for these as they are found.

Author:
  Josh Micich

Field Summary
`static MissingArgEval` `instance`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final MissingArgEval instance

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.